AOZ Studio Beta - Bug #431

PUT KEY not working
08/04/2020 12:21 PM - Paul Kitching

Status: In Progress Start date:
Priority: Normal Due date:
Assignee: AOZ Studio Team % Done:
Category: Estimated time:

Target version:

Affected version: 1.0.0 (B10) u16

08/04/2020

0%
1:00 hour

Description
It doesn't work in either mode. This should type 'test' into the input line for you:
clear key

put key "test"
input as

History

#1 - 08/20/2020 11:19 PM - Brian Flanagan

- Status changed from New to In Progress

It appears that it is doing everything except actually processing the keys.

#2 - 11/17/2020 08:48 PM - Paul Kitching
- Affected version changed from 0.9.9.4 to Beta 1

Still not working in Beta 1

#3 - 01/17/2021 12:00 PM - Brian Flanagan

- Estimated time set to 1:00 h

- Affected version changed from Beta 1 to Beta 2
Tested in newest Beta 2 version.

Still fails.

#4 - 02/24/2021 07:59 PM - Paul Kitching
- Affected version changed from Beta 2 to 1.0.0 (B4)

Still fails.

#5 - 07/02/2021 04:36 PM - Paul Kitching
- Affected version changed from 1.0.0 (B4) to 1.0.0 (B8) u15

Still not working in B8 Update 15

#6 - 09/13/2021 07:43 AM - Brian Flanagan
- Affected version changed from 1.0.0 (B8) u15to 1.0.0 (B10) u16

Put Key is partially working now.
You can put a SINGLE key into the input buffer.

It will only get the last character in the string you send to the input buffer though.
Example:

Put Key "This"
The above will only send "s" to the input buffer.

#7 - 09/19/2021 06:08 PM - Paul Kitching
I'm not getting anything sent to the buffer in Beta 10.

#8 - 09/19/2021 06:39 PM - Paul Kitching

| think the input command is clearing the buffer, as I've tried typing before an input and it's always empty when the input line appears. I'll log that as
another bug.
